Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Attributes
Lucene::FieldsWriter Class Reference

`#include <FieldsWriter.h>`

Inheritance diagram for Lucene::FieldsWriter:

## Public Member Functions

| FieldsWriter (const DirectoryPtr &d, const String &segment, const FieldInfosPtr &fn)
| FieldsWriter (const IndexOutputPtr &fdx, const IndexOutputPtr &fdt, const FieldInfosPtr &fn)
virtual | ~FieldsWriter ()
virtual String | getClassName ()
boost::shared_ptr< FieldsWriter > | shared_from_this ()
void | setFieldsStream (const IndexOutputPtr &stream)
void | flushDocument (int32_t numStoredFields, const RAMOutputStreamPtr &buffer)
| Writes the contents of buffer into the fields stream and adds a new entry for this document into the index stream. This assumes the buffer was already written in the correct fields format.
void | skipDocument ()
void | flush ()
void | close ()
void | writeField (const FieldInfoPtr &fi, const FieldablePtr &field)
void | addRawDocuments (const IndexInputPtr &stream, Collection< int32_t > lengths, int32_t numDocs)
| Bulk write a contiguous series of documents. The lengths array is the length (in bytes) of each raw document. The stream IndexInput is the fieldsStream from which we should bulk-copy all bytes.
void | addDocument (const DocumentPtr &doc)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Static Public Attributes

static const uint8_t | FIELD_IS_TOKENIZED
static const uint8_t | FIELD_IS_BINARY
static const uint8_t | FIELD_IS_COMPRESSED
static const int32_t | FORMAT
static const int32_t | FORMAT_VERSION_UTF8_LENGTH_IN_BYTES
static const int32_t | FORMAT_LUCENE_3_0_NO_COMPRESSED_FIELDS
static const int32_t | FORMAT_CURRENT

## Protected Attributes

FieldInfosPtr | fieldInfos
IndexOutputPtr | fieldsStream
IndexOutputPtr | indexStream
bool | doClose
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ FieldsWriter() [1/2]

Lucene::FieldsWriter::FieldsWriter | ( | const DirectoryPtr & | d,
|  | const String & | segment,
|  | const FieldInfosPtr & | fn
| ) |  |

## ◆ FieldsWriter() [2/2]

Lucene::FieldsWriter::FieldsWriter | ( | const IndexOutputPtr & | fdx,
|  | const IndexOutputPtr & | fdt,
|  | const FieldInfosPtr & | fn
| ) |  |

## ◆ ~FieldsWriter()

virtual Lucene::FieldsWriter::~FieldsWriter | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::FieldsWriter::_getClassName | ( |  | ) |

inline static

## ◆ addDocument()

void Lucene::FieldsWriter::addDocument | ( | const DocumentPtr & | doc | ) |

## ◆ addRawDocuments()

void Lucene::FieldsWriter::addRawDocuments | ( | const IndexInputPtr & | stream,
|  | Collection< int32_t > | lengths,
|  | int32_t | numDocs
| ) |  |

Bulk write a contiguous series of documents. The lengths array is the length (in bytes) of each raw document. The stream IndexInput is the fieldsStream from which we should bulk-copy all bytes.

## ◆ close()

void Lucene::FieldsWriter::close | ( |  | ) |

## ◆ flush()

void Lucene::FieldsWriter::flush | ( |  | ) |

## ◆ flushDocument()

void Lucene::FieldsWriter::flushDocument | ( | int32_t | numStoredFields,
|  | const RAMOutputStreamPtr & | buffer
| ) |  |

Writes the contents of buffer into the fields stream and adds a new entry for this document into the index stream. This assumes the buffer was already written in the correct fields format.

## ◆ getClassName()

virtual String Lucene::FieldsWriter::getClassName | ( |  | ) |

inline virtual

## ◆ setFieldsStream()

void Lucene::FieldsWriter::setFieldsStream | ( | const IndexOutputPtr & | stream | ) |

## ◆ shared_from_this()

boost::shared_ptr< FieldsWriter > Lucene::FieldsWriter::shared_from_this | ( |  | ) |

inline

## ◆ skipDocument()

void Lucene::FieldsWriter::skipDocument | ( |  | ) |

## ◆ writeField()

void Lucene::FieldsWriter::writeField | ( | const FieldInfoPtr & | fi,
|  | const FieldablePtr & | field
| ) |  |

## Field Documentation

## ◆ doClose

bool Lucene::FieldsWriter::doClose

protected

## ◆ FIELD_IS_BINARY

const uint8_t Lucene::FieldsWriter::FIELD_IS_BINARY

static

## ◆ FIELD_IS_COMPRESSED

const uint8_t Lucene::FieldsWriter::FIELD_IS_COMPRESSED

static

## ◆ FIELD_IS_TOKENIZED

const uint8_t Lucene::FieldsWriter::FIELD_IS_TOKENIZED

static

## ◆ fieldInfos

FieldInfosPtr Lucene::FieldsWriter::fieldInfos

protected

## ◆ fieldsStream

IndexOutputPtr Lucene::FieldsWriter::fieldsStream

protected

## ◆ FORMAT

const int32_t Lucene::FieldsWriter::FORMAT

static

## ◆ FORMAT_CURRENT

const int32_t Lucene::FieldsWriter::FORMAT_CURRENT

static

## ◆ FORMAT_LUCENE_3_0_NO_COMPRESSED_FIELDS

const int32_t Lucene::FieldsWriter::FORMAT_LUCENE_3_0_NO_COMPRESSED_FIELDS

static

## ◆ FORMAT_VERSION_UTF8_LENGTH_IN_BYTES

const int32_t Lucene::FieldsWriter::FORMAT_VERSION_UTF8_LENGTH_IN_BYTES

static

## ◆ indexStream

IndexOutputPtr Lucene::FieldsWriter::indexStream

protected

The documentation for this class was generated from the following file:

- FieldsWriter.h

clucene.sourceforge.net